package com.ibm.commerce.wc.update.utils;

/* 
 *------------------------------------------------------------------- 
 * IBM Confidential 
 * OCO Source Materials 
 * 
 * WebSphere Commerce 
 * 
 * (c) Copyright International Business Machines Corporation. 
 *     2006 
 *     All rights reserved. 
 * 
 * The source code for this program is not published or otherwise 
 * divested of its trade secrets, irrespective of what has been 
 * deposited with the US Copyright Office. 
 *------------------------------------------------------------------- 
 */

/**
 * This exception class is for situations where an XPath match is not found.
 */
public class NoXPathMatchException extends Exception {

	/**
	 * IBM copyright notice field.
	 */
	public static final String COPYRIGHT = com.ibm.commerce.copyright.IBMCopyright.SHORT_COPYRIGHT;

	/**
	 * Generated serial version UID.
	 */
	private static final long serialVersionUID = -8340475108098044479L;

	/**
	 * Constructor.
	 * 
	 * @param message
	 *            Exception message.
	 */
	public NoXPathMatchException(String message) {
		super(message);
	}

}
